Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Interface RPLParserConstants

All Known Implementing Classes:
  RPLParser, RPLParserTokenManager

    public interface RPLParserConstants

Field Summary
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `COMPLEX`
`static int` | `CONSTANT`
`static int` | `CONTINUATION`
`static int` | `CRLF1`
`static int` | `DECNUMBER`
`static int` | `DEDENT`
`static int` | `DEF`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `EXPONENT`
`static int` | `FALSE`
`static int` | `FLOAT`
`static int` | `FORCE_NEWLINE`
`static int` | `FORCE_NEWLINE1`
`static int` | `FORCE_NEWLINE2`
`static int` | `HEXNUMBER`
`static int` | `IN_STRING11`
`static int` | `IN_STRING13`
`static int` | `IN_STRING21`
`static int` | `IN_STRING23`
`static int` | `INDENT`
`static int` | `INDENTATION_UNCHANGED`
`static int` | `INDENTING`
`static int` | `LBRACKET`
`static int` | `LETTER`
`static int` | `LPAREN`
`static int` | `NAME`
`static int` | `NEWLINE`
`static int` | `NEWLINE1`
`static int` | `NEWLINE2`
`static int` | `NEWLINE3`
`static int` | `OCTNUMBER`
`static int` | `PARAMETER`
`static int` | `RBRACKET`
`static int` | `RPAREN`
`static int` | `SEMICOLON`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SINGLE_STRING`
`static int` | `SINGLE_STRING2`
`static int` | `SPACE`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRAILING_COMMENT`
`static int` | `TRIPLE_STRING`
`static int` | `TRIPLE_STRING2`
`static int` | `TRUE`
`static int` | `UNREACHABLE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### SPACE

    static final int SPACE

See Also:
  Constant Field Values

### CONTINUATION

    static final int CONTINUATION

See Also:
  Constant Field Values

### NEWLINE1

    static final int NEWLINE1

See Also:
  Constant Field Values

### NEWLINE

    static final int NEWLINE

See Also:
  Constant Field Values

### NEWLINE2

    static final int NEWLINE2

See Also:
  Constant Field Values

### NEWLINE3

    static final int NEWLINE3

See Also:
  Constant Field Values

### CRLF1

    static final int CRLF1

See Also:
  Constant Field Values

### DEDENT

    static final int DEDENT

See Also:
  Constant Field Values

### INDENT

    static final int INDENT

See Also:
  Constant Field Values

### TRAILING_COMMENT

    static final int TRAILING_COMMENT

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

### LBRACKET

    static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    static final int RBRACKET

See Also:
  Constant Field Values

### SEMICOLON

    static final int SEMICOLON

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### EQUAL

    static final int EQUAL

See Also:
  Constant Field Values

### DEF

    static final int DEF

See Also:
  Constant Field Values

### PARAMETER

    static final int PARAMETER

See Also:
  Constant Field Values

### CONSTANT

    static final int CONSTANT

See Also:
  Constant Field Values

### TRUE

    static final int TRUE

See Also:
  Constant Field Values

### FALSE

    static final int FALSE

See Also:
  Constant Field Values

### NAME

    static final int NAME

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DECNUMBER

    static final int DECNUMBER

See Also:
  Constant Field Values

### HEXNUMBER

    static final int HEXNUMBER

See Also:
  Constant Field Values

### OCTNUMBER

    static final int OCTNUMBER

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### COMPLEX

    static final int COMPLEX

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### SINGLE_STRING

    static final int SINGLE_STRING

See Also:
  Constant Field Values

### SINGLE_STRING2

    static final int SINGLE_STRING2

See Also:
  Constant Field Values

### TRIPLE_STRING

    static final int TRIPLE_STRING

See Also:
  Constant Field Values

### TRIPLE_STRING2

    static final int TRIPLE_STRING2

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### FORCE_NEWLINE1

    static final int FORCE_NEWLINE1

See Also:
  Constant Field Values

### FORCE_NEWLINE2

    static final int FORCE_NEWLINE2

See Also:
  Constant Field Values

### FORCE_NEWLINE

    static final int FORCE_NEWLINE

See Also:
  Constant Field Values

### INDENTING

    static final int INDENTING

See Also:
  Constant Field Values

### INDENTATION_UNCHANGED

    static final int INDENTATION_UNCHANGED

See Also:
  Constant Field Values

### UNREACHABLE

    static final int UNREACHABLE

See Also:
  Constant Field Values

### IN_STRING11

    static final int IN_STRING11

See Also:
  Constant Field Values

### IN_STRING21

    static final int IN_STRING21

See Also:
  Constant Field Values

### IN_STRING13

    static final int IN_STRING13

See Also:
  Constant Field Values

### IN_STRING23

    static final int IN_STRING23

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD